ChangeSet 1.971.1.5, 2003/01/11 23:45:51-08:00, randy.dunlap@verizon.net

[PATCH] usb-skeleton MINOR_BASE change

USB_SKEL_MINOR_BASE should be a multiple of 16 to work
correctly with the way that minors are assigned (in blocks
of 16) in Linux 2.4.x.


diff -Nru a/drivers/usb/usb-skeleton.c b/drivers/usb/usb-skeleton.c
--- a/drivers/usb/usb-skeleton.c	Thu Jan 16 10:52:06 2003
+++ b/drivers/usb/usb-skeleton.c	Thu Jan 16 10:52:06 2003
@@ -87,7 +87,7 @@
 
 
 /* Get a minor range for your devices from the usb maintainer */
-#define USB_SKEL_MINOR_BASE	200	
+#define USB_SKEL_MINOR_BASE	192	
 
 /* we can have up to this number of device plugged in at once */
 #define MAX_DEVICES		16
